Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586835 - Support for building MIPS binary (with Loongson CPU fix)
Support for building MIPS binary (with Loongson CPU fix)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
14
mips64 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 08:59 EDT by Fai Wong
Modified: 2011-12-27 23:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-27 23:58:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified gcc.spec for gcc-4.4.3-4.fc12 (99.61 KB, application/octet-stream)
2010-04-28 09:02 EDT, Fai Wong
no flags Details
/usr/lib/rpm/platform/mips64el-linux/macro for rpm-4.7.1-6.fc12 (2.22 KB, application/octet-stream)
2010-04-28 09:04 EDT, Fai Wong
no flags Details
/usr/lib/rpm/redhat/rpmrc for redhat-rpm-config-9.0.3-18.fc12 (3.61 KB, application/octet-stream)
2010-04-28 09:04 EDT, Fai Wong
no flags Details
spec file for glibc-2.11.1-1.ls2f (164.31 KB, application/octet-stream)
2010-04-28 09:16 EDT, Fai Wong
no flags Details
glibc-2.11.1-fedora-mips.patch required for building glibc for MIPS (7.75 KB, application/octet-stream)
2010-04-28 09:17 EDT, Fai Wong
no flags Details
binutils.spec for binutils-2.19.51.0.14-34.fc12 (55.99 KB, application/octet-stream)
2010-04-28 09:18 EDT, Fai Wong
no flags Details
required patch for building binutils for MIPS (5.39 KB, application/octet-stream)
2010-04-28 09:18 EDT, Fai Wong
no flags Details
required patch for building binutils for MIPS (19.81 KB, application/octet-stream)
2010-04-28 09:18 EDT, Fai Wong
no flags Details

  None (edit)
Description Fai Wong 2010-04-28 08:59:33 EDT
Description of problem:
Current gcc RPM doesn't have MIPS architecture support, if one want to build MIPS system based on Fedora, there is not enough tools and libraries for that.
Some modifications needed for making gcc RPM on MIPS architecture, including compiling options and spec file changes.
The attached files are based on Fedora 12.
gcc.spec - spec file for gcc 4.4.3-4.fc12
macro - /usr/lib/rpm/platform/mips64el-linux/macro for rpm 4.7.1-6.fc12
rpmrc - /usr/lib/rpm/redhat/rpmrc for redhat-rpm-config 9.0.3-18.fc12
Comment 1 Fai Wong 2010-04-28 09:02:38 EDT
Created attachment 409815 [details]
modified gcc.spec for gcc-4.4.3-4.fc12
Comment 2 Fai Wong 2010-04-28 09:04:03 EDT
Created attachment 409817 [details]
/usr/lib/rpm/platform/mips64el-linux/macro for rpm-4.7.1-6.fc12
Comment 3 Fai Wong 2010-04-28 09:04:43 EDT
Created attachment 409818 [details]
/usr/lib/rpm/redhat/rpmrc for redhat-rpm-config-9.0.3-18.fc12
Comment 4 Fai Wong 2010-04-28 09:16:33 EDT
Created attachment 409822 [details]
spec file for glibc-2.11.1-1.ls2f

glibc-ports is required to build
Comment 5 Fai Wong 2010-04-28 09:17:11 EDT
Created attachment 409823 [details]
glibc-2.11.1-fedora-mips.patch required for building glibc for MIPS
Comment 6 Fai Wong 2010-04-28 09:18:01 EDT
Created attachment 409825 [details]
binutils.spec for binutils-2.19.51.0.14-34.fc12
Comment 7 Fai Wong 2010-04-28 09:18:26 EDT
Created attachment 409826 [details]
required patch for building binutils for MIPS
Comment 8 Fai Wong 2010-04-28 09:18:46 EDT
Created attachment 409827 [details]
required patch for building binutils for MIPS
Comment 9 Bug Zapper 2010-07-30 07:30:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jeff Moe (jebba) 2010-10-18 14:01:22 EDT
I submitted a similar MIPS RPM macro patch upstream. See:
http://rpm.org/ticket/186

Also, you may have better luck if you submit the binutils patches under a binutils ticket and glibc patches under a glibc ticket than having them all here. The binutils/glibc maintainers may not see them here.
Comment 11 Aravind vijayan 2011-12-27 23:58:09 EST
    Thank you for your bug report. 

    We are sorry, but the Fedora Project is no longer releasing bug fixes or any other updates for this version of Fedora. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora, which is available from: 

    http://fedoraproject.org/get-fedora 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.